/*
 * **************************************************************************************
 * Copyright (C) 2021 FoE-Helper team - All Rights Reserved
 * You may use, distribute and modify this code under the
 * terms of the AGPL license.
 *
 * See file LICENSE.md or go to
 * https://github.com/mainIine/foe-helfer-extension/blob/master/LICENSE.md
 * for full license details.
 *
 * **************************************************************************************
 */

#technologies {
	top: 30%;
	right: 15%;
	width: 450px;
	height: 500px;
}

#technologies #technologiesBody {
	overflow-x: hidden;
	overflow-y: auto;
}

#technologies #technologiesBody .techno-head {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	padding: 5px;
}

#technologies #technologiesBody .techno-head > * {
	width: 33.333334%;
}

#technologies #technologiesBody .techno-head strong {
	color: var(--text-bright);
}

#technologies #technologiesBody table th {
	position: sticky;
	top: 0;
	cursor: pointer;
	z-index: 1;
	font-size: 85%;
}

#technologies #technologiesBody tr.total-row td {
	border-top: 2px solid #efcf9a;
	font-weight: 700;
}

#technologies #technologiesBody tr.resource-row td {
	color: var(--text-bright);
	font-weight: 700;
}

#technologies #technologiesBody .text-danger {
	color: #ff4040;
	font-weight: 700;
}

#technologies #technologiesBody .text-success {
	color: var(--text-success);
	font-weight: 700;
}

#technologies #technologiesBody .text-muted {
	color: var(--text-muted);
}

#technologies #technologiesBody td {
	position: relative;
	font-size: 85%;
}

#technologies #technologiesBody .diplomacy-ask {
	font-weight: 700;
	display: inline-block;
	margin-left: 6px;
	background: var(--text-info);
	padding: 0 4px;
	border-radius: 50%;
	width: 10px;
	line-height: 1.3em;
	z-index: 1;
}

#technologies #technologiesBody .diplomacy-tip {
	position: absolute;
	white-space: nowrap;
	text-align: left;
	background: var(--black-65);
	padding: 5px;
	right: 6px;
	top: 25px;
	z-index: 1;
	display: none;
}

#technologies #technologiesBody .diplomacy-ask:hover .diplomacy-tip {
	display: block;
}
#technologies #technologiesBody td.goods-image {
	padding: 0;
	background-color: var(--black-50);
}

#technologies #technologiesBody .goods-sprite-50.sm {
	width: 25px;
	height: 25px;
	text-align: center;
}

#technologies #technologiesBody .goods-sprite-50.sm::before {
	zoom: 0.7;
	overflow: hidden;
	position: static;
	display: inline-block;
}